> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Define Premiums

> Defines premiums for a given plan. A plan will have multiple premiums with different criteria. For example a simple 'composite' plan will have 5 premiums defining an 'amount' for each coverage type.



## OpenAPI

````yaml post /plans/{public_id}/premiums
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /plans/{public_id}/premiums:
    post:
      tags:
        - plans
      description: >-
        Defines premiums for a given plan. A plan will have multiple premiums
        with different criteria. For example a simple 'composite' plan will have
        5 premiums defining an 'amount' for each coverage type.
      operationId: plan_premiums_create
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlanPremiums'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PlanPremiums'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PlanPremiums'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlanPremiums'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PlanPremiums:
      type: array
      items:
        $ref: '#/components/schemas/PlanPremium'
    PlanPremium:
      type: object
      properties:
        coverage_type:
          description: >-
            The coverage type to which this premium applies. For example
            'member' to define a rate for a member-only enrollment.
          type: string
          nullable: true
          enum:
            - member
            - member_spouse
            - member_child
            - member_children
            - member_family
        tobacco_usage:
          description: >-
            Whether this rate depends on tobacco usage. Leave null when not
            applicable.
          type: boolean
          nullable: true
        relationship_category:
          description: >-
            The relationship category to which this premium applies. For example
            'member' to define a rate for a member and 'child' to define a rate
            for a child.
          type: string
          nullable: true
          enum:
            - member
            - spouse
            - child
        age:
          description: >-
            The age to which this premium applies. For example '18' to define a
            rate for a 18-year-old.
          type: string
          format: decimal
          pattern: ^\d{0,2}$
          nullable: true
        amount:
          description: >-
            The amount of the premium. For example '100' to define a rate of
            $100.
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
      required:
        - amount
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````